summaryrefslogtreecommitdiff
path: root/Build
diff options
context:
space:
mode:
authorPeter Breitenlohner <peb@mppmu.mpg.de>2011-12-09 10:52:03 +0000
committerPeter Breitenlohner <peb@mppmu.mpg.de>2011-12-09 10:52:03 +0000
commite9078a55e107cf280ed071cfbdcf8bfcfab986c1 (patch)
treeeb198121fc770bfb7cb41798b823e1209dd47cf0 /Build
parent66c35401f91a9c6a97cc6c4a2c838fccf915281a (diff)
build system: More ${prefix}=> $(datarootdir)
git-svn-id: svn://tug.org/texlive/trunk@24802 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Build')
-rw-r--r--Build/source/texk/ChangeLog4
-rw-r--r--Build/source/texk/am/script_links.am2
-rw-r--r--Build/source/texk/tetex/Makefile.in2
-rw-r--r--Build/source/texk/tex4htk/Makefile.in2
-rw-r--r--Build/source/texk/texlive/linked_scripts/ChangeLog4
-rw-r--r--Build/source/texk/texlive/linked_scripts/Makefile.am2
-rw-r--r--Build/source/texk/texlive/linked_scripts/Makefile.in2
-rw-r--r--Build/source/utils/chktex/Makefile.in2
-rw-r--r--Build/source/utils/ps2eps/Makefile.in2
-rw-r--r--Build/source/utils/psutils/Makefile.in2
-rw-r--r--Build/source/utils/xindy/Makefile.in2
11 files changed, 17 insertions, 9 deletions
diff --git a/Build/source/texk/ChangeLog b/Build/source/texk/ChangeLog
index 486ae702364..d677fa4cf85 100644
--- a/Build/source/texk/ChangeLog
+++ b/Build/source/texk/ChangeLog
@@ -1,3 +1,7 @@
+2011-12-08 Peter Breitenlohner <peb@mppmu.mpg.de>
+
+ * am/script_links.am: Replace ${prefix} => $(datarootdir).
+
2011-09-09 Peter Breitenlohner <peb@mppmu.mpg.de>
* ../build-aux/relpath: New shell script to compute relative
diff --git a/Build/source/texk/am/script_links.am b/Build/source/texk/am/script_links.am
index 14079694336..c1ad75d4ee9 100644
--- a/Build/source/texk/am/script_links.am
+++ b/Build/source/texk/am/script_links.am
@@ -52,7 +52,7 @@ EXTRA_DIST += ../../build-aux/relpath
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(prefix)'`; \
+ @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
diff --git a/Build/source/texk/tetex/Makefile.in b/Build/source/texk/tetex/Makefile.in
index f2bd0893855..d6eebf055bf 100644
--- a/Build/source/texk/tetex/Makefile.in
+++ b/Build/source/texk/tetex/Makefile.in
@@ -969,7 +969,7 @@ install-shell-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(prefix)'`; \
+ @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
diff --git a/Build/source/texk/tex4htk/Makefile.in b/Build/source/texk/tex4htk/Makefile.in
index 3e641c9bc71..7bddb414dc9 100644
--- a/Build/source/texk/tex4htk/Makefile.in
+++ b/Build/source/texk/tex4htk/Makefile.in
@@ -896,7 +896,7 @@ install-shell-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(prefix)'`; \
+ @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
diff --git a/Build/source/texk/texlive/linked_scripts/ChangeLog b/Build/source/texk/texlive/linked_scripts/ChangeLog
index f6ab9a46752..7f0ec1efac5 100644
--- a/Build/source/texk/texlive/linked_scripts/ChangeLog
+++ b/Build/source/texk/texlive/linked_scripts/ChangeLog
@@ -1,3 +1,7 @@
+2011-12-08 Peter Breitenlohner <peb@mppmu.mpg.de>
+
+ * Makefile.am: More ${prefix} => $(datarootdir).
+
2011-12-06 Peter Breitenlohner <peb@mppmu.mpg.de>
* Makefile.am: Replace ${prefix}/texmf => $(datarootdir)/texmf.
diff --git a/Build/source/texk/texlive/linked_scripts/Makefile.am b/Build/source/texk/texlive/linked_scripts/Makefile.am
index 3651ac4fdd2..60ada7f660a 100644
--- a/Build/source/texk/texlive/linked_scripts/Makefile.am
+++ b/Build/source/texk/texlive/linked_scripts/Makefile.am
@@ -178,7 +178,7 @@ else !WIN32
## Name the link as the basename, removing any extension,
## except for listings-ext.sh, which is documented as that name.
## Downcase for the sake of TeXcount.pl -> texcount.
- @REL=`$(relpath) '$(DESTDIR)' '$(bindir)' '$(prefix)'`; \
+ @REL=`$(relpath) '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
echo 'unable to compute relative path for linked scripts' >&2; \
exit 1; \
diff --git a/Build/source/texk/texlive/linked_scripts/Makefile.in b/Build/source/texk/texlive/linked_scripts/Makefile.in
index 3d1bfcbcacb..aff3dfe400b 100644
--- a/Build/source/texk/texlive/linked_scripts/Makefile.in
+++ b/Build/source/texk/texlive/linked_scripts/Makefile.in
@@ -629,7 +629,7 @@ install-data-hook:
@WIN32_TRUE@ echo "$(INSTALL_SCRIPT) '$(runscript)' '$(DESTDIR)$(bindir)/$$link.exe'"; \
@WIN32_TRUE@ $(INSTALL_SCRIPT) $(runscript) $(DESTDIR)$(bindir)/$$link.exe || exit 1; \
@WIN32_TRUE@ done
-@WIN32_FALSE@ @REL=`$(relpath) '$(DESTDIR)' '$(bindir)' '$(prefix)'`; \
+@WIN32_FALSE@ @REL=`$(relpath) '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
@WIN32_FALSE@ if test -z "$$REL"; then \
@WIN32_FALSE@ echo 'unable to compute relative path for linked scripts' >&2; \
@WIN32_FALSE@ exit 1; \
diff --git a/Build/source/utils/chktex/Makefile.in b/Build/source/utils/chktex/Makefile.in
index 6a45345249f..0edc77a1d42 100644
--- a/Build/source/utils/chktex/Makefile.in
+++ b/Build/source/utils/chktex/Makefile.in
@@ -1119,7 +1119,7 @@ install-shell-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(prefix)'`; \
+ @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
diff --git a/Build/source/utils/ps2eps/Makefile.in b/Build/source/utils/ps2eps/Makefile.in
index e544d9bc0ab..62d516d1fa4 100644
--- a/Build/source/utils/ps2eps/Makefile.in
+++ b/Build/source/utils/ps2eps/Makefile.in
@@ -898,7 +898,7 @@ install-shell-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(prefix)'`; \
+ @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
diff --git a/Build/source/utils/psutils/Makefile.in b/Build/source/utils/psutils/Makefile.in
index 01f219dae59..a7ed2945ed9 100644
--- a/Build/source/utils/psutils/Makefile.in
+++ b/Build/source/utils/psutils/Makefile.in
@@ -1171,7 +1171,7 @@ install-shell-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(prefix)'`; \
+ @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \
diff --git a/Build/source/utils/xindy/Makefile.in b/Build/source/utils/xindy/Makefile.in
index e451621b50e..1ffe1550742 100644
--- a/Build/source/utils/xindy/Makefile.in
+++ b/Build/source/utils/xindy/Makefile.in
@@ -835,7 +835,7 @@ install-shell-links:
# We support native builds, multiplatform or not, as well as distro builds.
install-links:
- @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(prefix)'`; \
+ @REL=`$(SHELL) $(srcdir)/../../build-aux/relpath '$(DESTDIR)' '$(bindir)' '$(datarootdir)'`; \
if test -z "$$REL"; then \
echo 'unable to compute relative path for linked $(TYPE) scripts' >&2; \
exit 1; \